#!/bin/bash
                          
RADM="--user rasdaman --passwd rasdaman" #set to rasdaman credentials

rimport(){           
	#usage: $0 1 filename 2 oid
	rasimport -f $1 -coll lol2 -oid $2 -3d top -shift 0:0:10 -csz 1
}


initrasdb(){
	raserase -coll lol2 &> /dev/null                 
	rasimport -f 'utm_32V.tif-envi.tif' -coll lol2 -3d top -shift 0:0:10 -csz 1&> /dev/null
	OID=$(rasql -q 'select oid(r) from lol2 as r' --out string $RADM)
	OID=$(echo $OID | cut -d ":" -f 7)
	vOID=(${OID})
	OID=${vOID[0]}
	echo $OID
}

                          
OID=$(initrasdb)
                                                                                                   
FILES=("utm_32R.tif-envi.tif utm_32S.tif-envi.tif utm_32T.tif-envi.tif utm_32U.tif-envi.tif")
for f in $FILES ; do
	rimport $f $OID
done  

# export the created slice into a tiff file
rasql -q "select tiff(m[*:*,*:*,10:10]) from lol2 as m" --out file --outfile lol2.tif $RADM






